# Created by pyp2rpm-1.0.0
%define pypi_name h5py
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:           python-%{pypi_name}
Version:        2.3.1
Release:        %mkrel 2
Summary:        Read and write HDF5 files from Python
Group:          Development/Python
License:        BSD
URL:            http://www.h5py.org/
Source0:        https://pypi.python.org/packages/source/h/h5py/%{pypi_name}-%{version}.tar.xz
 
BuildRequires:  python-devel
BuildRequires:  hdf5-devel
BuildRequires:  python-cython
BuildRequires:  python-numpy-devel
BuildRequires:  python-sphinx
Requires:       python-numpy

%description
The h5py package provides both a high- and low-level interface to the HDF5
library from Python. The low-level interface is intended to be a complete
wrapping of the HDF5 API, while the high-level component supports  access to
HDF5 files, datasets and groups using established Python and NumPy concepts.

#----------------------------------------------------------------

%package -n     python3-%{pypi_name}
Summary:        Read and write HDF5 files from Python 3
Group:          Development/Python
BuildRequires:  python-pytools
BuildRequires:  python3-devel
BuildRequires:  python3-cython
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-sphinx
Requires:       python3-numpy

%description -n python3-h5py
The h5py package provides both a high- and low-level interface to the HDF5
library from Python. The low-level interface is intended to be a complete
wrapping of the HDF5 API, while the high-level component supports  access to
HDF5 files, datasets and groups using established Python and NumPy concepts.
This is the Python 3 version of %{pypi_name}.

#----------------------------------------------------------------
%prep
%setup -q -n %{pypi_name}-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%{__python3} setup.py build
popd

%{__python} setup.py build

%install
pushd %{py3dir}
%{__python3} setup.py install --root=%{buildroot} --skip-build
popd

%{__python} setup.py install --root=%{buildroot} --skip-build

%files
%doc licenses/*.txt ANN.rst README.rst
%{python_sitearch}/%{pypi_name}/
%{python_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-h5py
%doc licenses/*.txt ANN.rst README.rst
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Sep 12 2017 bb2 <bb2> - 2.3.1-2pclos2017
- rebuild against updates

* Sat Sep 09 2017 bb2 <bb2> 2.3.1-1pclos2017
- new version
